<?php
/*
Plugin Name: ACF Variation Mode Field
Description: Custom ACF field for selecting variations and modes with preview images.
Version: 1.0
Author: Geek Code Lab
Author URI: https://geekcodelab.com/
*/

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

// Plugin URL and Path
define('ACF_VARIATION_MODE_URL', plugin_dir_url(__FILE__));
define('ACF_VARIATION_MODE_PATH', plugin_dir_path(__FILE__));

// Include the custom field class
include_once ACF_VARIATION_MODE_PATH . 'includes/class-acf-field-variation-mode.php';

// Initialize the custom field
function register_acf_field_variation_mode() {
    new ACF_Field_Variation_Mode(array(
        'version' => '1.0',
        'url'     => ACF_VARIATION_MODE_URL,
        'path'    => ACF_VARIATION_MODE_PATH,
    ));
}
add_action('acf/include_field_types', 'register_acf_field_variation_mode'); // v5
add_action('acf/register_fields', 'register_acf_field_variation_mode'); // v4
 // Ensure field is compatible with conditional logic
 function variation_mode_field_conditional_logic($choices) {
    $choices['variation_mode'] = __('Variation Mode', 'acf');
    return $choices;
}
add_filter('acf/conditional_logic_field_types', 'variation_mode_field_conditional_logic');

?>
